Package com.mouseviator.fsuipc.helpers.aircraft

# Class Engine1Helper

java.lang.Object
com.mouseviator.fsuipc.helpers.aircraft.Engine1Helper

Direct Known Subclasses:
  `Engine2Helper`, `Engine3Helper`, `Engine4Helper`

    public class Engine1Helper
    extends java.lang.Object

This class provides methods that return data requests to gather various info about aircraft engine number 1. The returned requests are usually modified to return user-friendly data type, even thought the underlying data type may be different.

Author:
  Mouseviator

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected int` | `elapsedTimeOffset` |
  `protected int` | `fuelFlowOffset` |
  `protected int` | `fuelUsedOffset` |
  `protected int` | `manifoldPressureOffset` |
  `protected int` | `mixtureLeverOffset` |
  `protected int` | `oilPressureOffset` |
  `protected int` | `oilQuantityOffset` |
  `protected int` | `oilTempOffset` |
  `protected int` | `propLeverOffset` |
  `protected int` | `throttleLeverOffset` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Engine1Helper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `IDataRequest<java.lang.Float>` | `getElapsedTime()` | This will return a request to read engine elapsed time.
  `DoubleRequest` | `getFuelFlow()` | This will return a request to read engine fuel flow.
  `FloatRequest` | `getFuelUsed()` | This will return a request to read engine fuel used since start.
  `FloatRequest` | `getManifoldPressure()` | This will return a request to read engine manifold pressure.
  `ShortRequest` | `getMixtureLever()` | This will return a request to read engine mixture lever position.
  `FloatRequest` | `getOilPressure()` | This will return a request to read engine Oil pressure.
  `FloatRequest` | `getOilQuantity()` | This will return a request to read engine Oil quantity.
  `FloatRequest` | `getOilTemperature()` | This will return a request to read engine Oil Temperature.
  `ShortRequest` | `getPropellerLever()` | This will return a request to read engine propeller lever position.
  `ShortRequest` | `getThrottleLever()` | This will return a request to read engine throttle lever position.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### throttleLeverOffset

    protected int throttleLeverOffset

  - ### propLeverOffset

    protected int propLeverOffset

  - ### mixtureLeverOffset

    protected int mixtureLeverOffset

  - ### fuelFlowOffset

    protected int fuelFlowOffset

  - ### oilTempOffset

    protected int oilTempOffset

  - ### oilPressureOffset

    protected int oilPressureOffset

  - ### oilQuantityOffset

    protected int oilQuantityOffset

  - ### manifoldPressureOffset

    protected int manifoldPressureOffset

  - ### fuelUsedOffset

    protected int fuelUsedOffset

  - ### elapsedTimeOffset

    protected int elapsedTimeOffset

- ## Constructor Details

  - ### Engine1Helper

    public Engine1Helper()

- ## Method Details

  - ### getThrottleLever

    public ShortRequest getThrottleLever()
    This will return a request to read engine throttle lever position. Value range from -4096 to 16384. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine throttle lever position.

  - ### getPropellerLever

    public ShortRequest getPropellerLever()
    This will return a request to read engine propeller lever position. Value range from -4096 to 16384. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine propeller lever position.

  - ### getMixtureLever

    public ShortRequest getMixtureLever()
    This will return a request to read engine mixture lever position. Value range from 0 to 16384. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine mixture lever position.

  - ### getFuelFlow

    public DoubleRequest getFuelFlow()
    This will return a request to read engine fuel flow. Pounds per hour as double value. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine fuel flow.

  - ### getOilTemperature

    public FloatRequest getOilTemperature()
    This will return a request to read engine Oil Temperature. The result will in degrees, float value, max value is 140C. The setValue method is also overridden. Expects oil temperature value in degrees C, max 140. However, not guaranteed to work. See description of offset 0x08B8 in FSUIPC documentation. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine oil temperature.

  - ### getOilQuantity

    public FloatRequest getOilQuantity()
    This will return a request to read engine Oil quantity. The result will in percent, float value. The setValue method is also overridden. Expects oil quantity in percent. However, not guaranteed to work. See description of offset 0x08D0 in FSUIPC documentation. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine oil quantity.

  - ### getOilPressure

    public FloatRequest getOilPressure()
    This will return a request to read engine Oil pressure. The result will be in psi, max 220, float value. The setValue method is also overridden. Expects oil quantity in percent. However, not guaranteed to work. See description of offset 0x08D0 in FSUIPC documentation. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine oil pressure.

  - ### getManifoldPressure

    public FloatRequest getManifoldPressure()
    This will return a request to read engine manifold pressure. The result will be in Inches Hg, float value. The setValue method is also overridden. Expects manifold pressure in Inches Hg. However, not guaranteed to work. See description of offset 0x08C0 in FSUIPC documentation. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine manifold pressure.

  - ### getFuelUsed

    public FloatRequest getFuelUsed()
    This will return a request to read engine fuel used since start. Value in pounds as float value. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.getType()` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set engine fuel used.

  - ### getElapsedTime

    public IDataRequest<java.lang.Float> getElapsedTime()
    This will return a request to read engine elapsed time. Value in hours as float value. READ ONLY.
    Returns:
      Data request to get engine elapsed time.